WordPress.org

Ready to get started?Download WordPress

Forums

[resolved] Dangers of upgrading Prototype? (3 posts)

  1. alexleonard
    Member
    Posted 6 years ago #

    Hi there,

    I was just playing around with some scriptaculous effects which I'd like to use on a friends website. Unfortunately they don't work using the version of Prototype which is bundled with WP2.3.3

    I was wondering does anyone know if I'm going to cause lots of problems by updating the version of prototype from 1.5.1.1 to 1.6.0.1.

    In addition I have a feeling I'll need to use the latest version of scriptaculous as well.

    Am I going to run into troubles if I just go overwriting prototype and scriptaculous in wp-includes/js/?

    I'm not very experienced with the usage of these libraries.

    Cheers,
    Alex

  2. alexleonard
    Member
    Posted 6 years ago #

    I figured I might just dive in a see if it breaks and report back here - I'm a little concerned about the fact that whatever action is getting the prototype library called in wp_head is also including a version number ie:

    <script type='text/javascript' src='http://domainname.com/wp-includes/js/prototype.js?ver=1.5.1.1'></script>

    But sure I'll find out when I replace it I guess! (backups being made though ;)

  3. alexleonard
    Member
    Posted 6 years ago #

    Ok. Libraries replaced!

    No problems encountered as of yet. I'll probably use my functions.php file to enqueue the scripts correctly now, but I'm happy that everything seems to be working as planned!

    I'm hoping that I'm not going to run into any errors on the backend due to the newer prototype library, but we'll have to wait and see.

Topic Closed

This topic has been closed to new replies.

About this Topic